


  html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, font, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td {
    border: 0;
    font-family: inherit;
    font-size: 100%;
    font-style: inherit;
    font-weight: inherit;
    margin: 0;
    outline: 0;
    padding: 0;
    vertical-align: baseline;

  }


  html {
    font-family:@font;
    font-size: 62.5%;
    overflow-y: scroll;
    -webkit-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%;

    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    height: 100%;
    position: relative;

  }

  *,
  *:before,
  *:after {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
  }

  .clearfix:after {
    content: " "; /* Older browser do not support empty content */
    visibility: hidden;
    display: block;
    height: 0;
    clear: both;
  }

  ul, ol{
    list-style: none;
  }


  body{

    font-size: 1.4rem;
    height: 100%;
    width: 100%;
    min-width: 950px;

    position: relative;

//      background-color: lighten(@blue, 65%);

    background: @bas;
  }

  h1, h2, h3, h4, h5, h6{
    text-transform: capitalize;
  }

  h3{
    font-size: 1.8rem;

  }


  main-navigation, ui-view{
    display:block;
  }

  #page{
    min-height: 100%;
    position: relative;
  }


  #content-view{
    padding-left: 10%;
    position: relative;
    float: left;
    width: 100%;
    height: 100%;
    min-height: 400px;
    background-color: @bas;
  }


p{
    color:@blue;

  }

  strong{
    text-transform: uppercase;
    font-weight: 700;
  }

  a, a:visited{
    text-decoration: none;
    color:@blue;
    .transition(all, 0.3s);

    &:hover{
      color:@green;
    }
  }

.divider{
  color:@dark;
  opacity: 0.5;
}

.no-padding{
    padding:0 !important;


    &[class*='col-']{
      padding: 0 !important;
      margin:0 !important;


    }

  button{

    &[class*='col-']{
    padding: 1.5rem !important;
    }
  }

  }


  .buttons{
    margin-top: @base-padding !important;

    button{
      &[class*=col-]{

        padding: @medium-padding !important;

      }
    }
  }

  img.icon{
    max-height: 30px;
    vertical-align: middle;
    display: inline-block;
    margin-right: @medium-padding;
  }



  .grid{
    background-color: @white;
    border: solid 1px fade(@black, 5%);
    margin-bottom: @medium-padding;



          header{
            h1, h2, h3, h4, h5, h6{
              text-transform: uppercase;
            }
              &.row{
              text-transform: uppercase;
              width: 100%;
              font-size: 1.6rem;
              line-height: 1;
              color: @white;
              padding: 0 !important;
              background: @blue;

              h1, h2, h3, h4, h5, h6{
                display: inline-block;
                vertical-align: middle;

              }

              [class*=col-]{
                padding: @medium-padding !important;
              }

              img.icon{
                max-height: 45px;

              }

              button{
                font-size: 1.4rem;
                background-color: @white;
                border-width: 3px;
                &:hover{
                  background-color: fade(@white, 0%);
                }
              }

              &.main-heading{
                background: @dark !important;

                h1{
                  font-size: 2.1rem;
                }
                button{
                  border-color:@dark;
                }
                [class*=col-]{
                  padding: @base-padding !important;
                }

              }

            }

            button{
              font-size: 1.4rem;
            }

          }


    .row{

      background-color: @white;
      padding:@base-padding 0 0 @base-padding;


      [class*='col-'] {
        float:left;
        padding:0 @base-padding  @base-padding 0;
        margin:0 !important;


        ul{

          li{

            .list-title{
             font-size: 1.4rem;
              font-weight: 700;
              padding-right: @small-padding;
            }

            .list-value{
            font-size: 1.4rem;
              font-weight: 400;
            }
          }



          &.regular-list{

            li{
              padding: 1.0rem !important;
              border-bottom: solid 1px fade(@black, 5%);
              border-top: solid 1px fade(@white, 70%);

              &:last-child{
                border-bottom: none;
              }
              &:first-child{
                border-top: none;
              }
            }

          }
        }


      }

      .col-1{
        width: 100%;
      }

      .col-2-3{
        width: 66.666%;
      }

      .col-1-3{
        width: 33.33%;
      }

      .col-1-2 {
        width: 50%;
      }
      .col-1-4 {
        width: 25%;
      }

      .col-1-5 {
        width: 20%;
      }

      .col-4-5 {
        width: 80%;
      }

      .col-1-6 {
        width: 16.6666666%;
      }

      .col-1-7 {
        width: 14.28571428%;
      }

      .col-5-6{
        width: 83.3333%;
      }

      .col-3-4 {
        width: 75%;
      }
    }

    .icon-title{
      margin-left: @small-padding;
    }


  }


  #welcome{
    .background-image();
    background-image: url('../img/sab.jpg');
    height: 180px;
    display: block !important;
  }



label.form-required::after {
    color: @red;
    font-weight: bold;
    font-size: 1.2em;
    content: " *";
}

p.form-feedback.error {
    color: @red;
    padding: 0px 7px;
}


.fake-table{

	  h1.fake-heading{
	  	font-size: 1.8rem;
	  	text-transform: uppercase;
	  	font-weight: 100;
	  }

  [class*=fake-heading]{
	  h1{
	  	font-size: 1.8rem;
	  	text-transform: uppercase;
	  	font-weight: 100;
	  }
  	
  }

  [class*=fake-row]{

    border-bottom:solid 1px fade(@black, 10%);
    padding: 0 0 0 @medium-padding !important;
    .transition(all, 0.2s);

    span{
      font-weight: 400;

    }

    .more-info{
      padding-top: 0;
      .transition(all, 0.3s);
    }



    &.open{
      background-color: fade(@black, 5%);
      ul{
        li{
          border-bottom:solid 1px fade(@white, 10%);
          span{
            font-weight: 700;
          }
        }
      }

      .more-info{
        padding-top: @medium-padding;
      }
    }


    form{

      max-width:100%;
    }

    ul{

      padding: @medium-padding  0!important;


      li{
        padding-bottom: 0 !important;
        min-height: 17px;

        &.non-editable{
          padding:1.5rem 0 !important;
        }

        &.editable{

          [class*=col-]{
            padding: 0 0 0 @small-padding !important;

            &:first-child{
              padding-left: 0 !important;
            }
          }
        }

      }



      &.edit-this{
        text-transform: capitalize;
        padding: 0 !important;
        .transition(color 0.5s);


        .divider{
          padding: 0 @small-padding;
          opacity: 0.5;
        }


        li{
          text-align: right !important;
          border:none !important;
        }

        &.editing{
          padding: @medium-padding 0 !important;


        }

        span{
          cursor: pointer;
          font-weight: 400 !important;
          .transition(color 0.5s);

          i{
            padding: 0 @small-padding;
          }
        }

        .edit{
          color:@green;
          &:hover{
            color:darken(@green, 20%);
          }
        }

        .update{
          color:@blue;
          &:hover{
            color:fade(@blue, 80%);
          }
        }

        .cancel, .delete{

          color:@red;
          &:hover{
            color:fade(@red, 80%);
          }



        }



        [class*=col-]{
          padding: 1.5rem !important;
          line-height: 1;
          text-align: center;


          .transition(all, 0.2s);
        }


      }


    }

    &:last-child{
      border-bottom: none;
    }

    &:hover{
      background-color: fade(@black, 5%);
    }

    &[class*=-heading]{

      ul{

        padding-bottom: 0px;

        li.fake-heading{
          min-height: 25px;
          line-height: 1.3;
          font-size: 1.6rem;
          padding-bottom: 0px;
        }
      }

    }


  }



}







/*
  #main-view{

    width: 100%;
    max-width: 1280px;

  }
*/


/*#topNav {

  width: 100%;
  background-color: @white;
  border-bottom: solid 1px fade(@dark, 10%);
  padding:0 @base-padding;

  .active-user {
    padding: @medium-padding @small-padding;
    text-align: left;
    color: fade(@dark, 70%);

    i {
      .transition();
      color: fade(@dark, 80%);
      padding-right: @small-padding;
    }


}
}*/


#company-nav{
  background-color:@white;
  width: 100%;
  padding: @base-padding;


  a{
    color:@blue;
    display: inline-block;
    .transition(all, 0.4s);
    text-transform: uppercase;

    line-height: 1.5;


    &.delegates-link{

    }

    &.company-link{

        &:before{
        content:'';
        padding: 0 !important;
        }

    }


    &.active-link{
      font-weight: 700;
    }

    &:after{
      content:'|';
      display: inline-block;
      padding: 0 @small-padding;
    }



    &:last-child:after{
      content:'';
    }

    &:hover{

      color:@green;

    }


    span{
      opacity: 0.5;
    }
  }

}



.navigation{
  height: 100%;
  width: @nav-width;
  position:absolute;
  left:0;
  color:@white;
  z-index: 99;
  width:10%;
  min-width: 100px;
  background-color: @dark;





  .site-header{

    background-color: @dark;
    height: auto;
    padding: 0 !important;

    logotype{
      max-width: 100%;
      width:100%;
      height: auto;
      padding: 0;

      .logotype{
        margin:0 auto;
        padding: 0;
        display: block;
        padding-left: 0rem;
        padding-bottom: 1.5rem;
        padding-top: 1.5rem;
        padding-right: 0rem;



      }
    }
  }
}









  button{

    text-transform: uppercase;
    width: 100%;
    background-color: transparent;
    color:@blue;
    padding: @medium-padding @base-padding;
    border:solid 2px @blue;
    outline: none;
    .transition(all, 0.3s);

    &:hover{
      background-color: @blue;
      color:@white;
    }

    &.update{


      &:hover{

        background-color: @green;
        border-color: @green;

      }
    }

    &.delete{
      border-color:@red;
      color:@red;

      &:hover{
        background-color:@red;
        color:@white;

      }
    }

    &.new{


      &:hover{

        background-color: darken(@green, 10%);

      }
    }

    i{
      margin-right:@small-padding;
    }

  }





ul.subscription-links{

  li{
    padding: @small-padding 0;
    margin-bottom: @small-padding;


    &:last-child{
      margin-bottom: 0;
    }

    button{
      background-color: @green;

      &:hover{
        background-color: darken(@green, 10%);
      }
    }

    a{

    }
  }
}









/*

.listing{

  ul{
    padding: @medium-padding;

    li{
      line-height: 1.5;
      padding: @small-padding;
      border-bottom: solid 1px fade(@dark, 10%);

      &.heading{

        color:@dark;


        h1, h2, h3, h4, h5, h6{
          color:@dark;
          font-weight: 100;
          text-transform: uppercase;
        }

      }

      &:last-child{
        border-bottom: none;
      }
    }




  }


}*/





  select{
    display: block;
    width: 100%;
    padding: @medium-padding;
    border:solid 2px @dark;
    color:@blue;
    .transition(all 0.3s);

	}


  input{
    display: block;
    width: 100%;
    padding: @medium-padding;
    border:solid 2px @dark;
    color:@blue;
    .transition(all 0.3s);


    &:focus{
      border-color:@green !important;
    }




    &.ng-touched{

      &[class*=ng-invalid]{
        background-color: @red !important;
        color:@white !important;
        border-color: @red !important;
      }

      &[class*=ng-invalid]::-webkit-input-placeholder {
         color: @placeholdererrortext;
      }
      &[class*=ng-invalid]:-moz-placeholder {
         color: @placeholdererrortext;
      }
      &[class*=ng-invalid]::-moz-placeholder {
         color: @placeholdererrortext;
      }
      &[class*=ng-invalid]:-ms-input-placeholder {
         color: @placeholdererrortext;
      }

      &[class*=ng-valid]{
        background: @green;
        color:@white;
        border-color: @green;
      }

    }




  }







  /** LIST **/





button.menu{
  width:90px;
  position: absolute;
  right: 3rem;
  top:3rem;
  z-index:999999;
  background-color: transparent ;
  outline: none;



  .burger{

    background-color: @white;
    position: relative;
    /*   left: 50%;
       margin-left: -12.5px;
       bottom: 39%;*/
    width: 40px;
    height: 5px;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-backface-visibility: hidden;
    -moz-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;

    &:before{
      content: '';
      width: 40px;
      height: 5px;
      background: inherit;
      position: absolute;
      top: -12px;
      left:0;
      -webkit-transform: rotate(0deg);
      -moz-transform: rotate(0deg);
      -ms-transform: rotate(0deg);
      -o-transform: rotate(0deg);
      transform: rotate(0deg);
      -webkit-transition: top 0.1s ease;
      -moz-transition: top 0.1s ease;
      -ms-transition: top 0.1s ease;
      -o-transition: top 0.1s ease;
      transition: top 0.1s ease;

    }

    &:after{
      content: '';
      width: 40px;
      height: 5px;
      background: inherit;
      position: absolute;
      bottom: -12px;
      left:0;
      -webkit-transition: bottom 0.1s ease;
      -moz-transition: bottom 0.1s ease;
      -ms-transition: bottom 0.1s ease;
      -o-transition: bottom 0.1s ease;
      transition: bottom 0.1s ease;

    }

  }

  &:hover{
    background-color: transparent;

    .burger{

      &:before{
        top: -10px;
      }
      &:after{
        bottom: -10px;
      }
    }
  }
  &:active{
    outline:none;
  }
  &.open{
    background-color: transparent;

    .burger{
      background-color: @white;

      -webkit-transform: rotate(-45deg);
      -moz-transform: rotate(-45deg);
      -ms-transform: rotate(-45deg);
      -o-transform: rotate(-45deg);
      transform: rotate(-45deg);

      .transition(transform, .5s, ease, 0);

      &:before{
        -webkit-transform: rotate(90deg);
        -moz-transform: rotate(90deg);
        -ms-transform: rotate(90deg);
        -o-transform: rotate(90deg);
        transform: rotate(90deg);
        top: 0;
        -webkit-backface-visibility: hidden;
        -moz-backface-visibility: hidden;
        backface-visibility: hidden;
        .transition(top, .5s, ease, 0s);
        .transition(transform, .3s, ease, .3s);




      }

      &:after{
        bottom: 0;
        opacity: 0;
        filter: alpha(opacity=0);
        .transition( all, .5s, ease, 0);



      }
    }

  }


  &.closing{

    .burger{

      &:before{
        -webkit-transition: top .2s ease .3s, -webkit-transform .3s ease;
        -moz-transition: top .2s ease .3s, -moz-transform .3s ease;
        -ms-transition: top .2s ease .3s, -ms-transform .3s ease;
        -o-transition: top .2s ease .3s, -o-transform .3s ease;
        transition: top .2s ease .3s, -webkit-transform .3s ease;

      }

      &:after{
        -webkit-transition: bottom .2s ease .3s, -webkit-transform .3s ease;
        -moz-transition: bottom .2s ease .3s, -moz-transform .3s ease;
        -ms-transition: bottom .2s ease .3s, -ms-transform .3s ease;
        -o-transition: bottom .2s ease .3s, -o-transform .3s ease;
        transition: bottom .2s ease .3s, -webkit-transform .3s ease;

      }
    }
  }


}//.menu





form{

  width: 100%;
  max-width: 600px;

  [class*=col-]{
    padding-bottom: 1.0rem !important;

  }


  ::-webkit-input-placeholder {
    color: fade(@blue, 50%);
    text-transform: capitalize;
    font-weight: 100;

  }

  :-moz-placeholder { /* Firefox 18- */
    color: fade(@blue, 50%);
    text-transform: capitalize;
    font-weight: 100;

  }

  ::-moz-placeholder {  /* Firefox 19+ */
    color: fade(@blue, 50%);
    text-transform: capitalize;

  }

  :-ms-input-placeholder {
    color: fade(@blue, 50%);
    text-transform: capitalize;
    font-weight: 100;

  }

  fieldset{
    margin-bottom: @base-padding;

    legend{
        font-size: 1.8rem;
        text-transform: uppercase;
        font-weight: 100;

        margin-bottom: @medium-padding;

        &.heading{
            font-weight: 700;
            color: @dark;
        }
     }

    .description{
      font-size: 1.2rem;
      margin-bottom: @medium-padding;
    }

    }
      label{
        font-size: 1.4rem;
        text-transform: uppercase;
        font-weight: 100;
        margin-bottom: @small-padding;

       }
      button{

      }

      input{


        max-width: 600px;

      }
      
      select{
      	max-width: 600px;
      }


      label{

        display: inline-block;
      }

      input:focus{ outline:none; background-color:@white; color:@dark; border-color:@green !important; }


      .custom-radiobutton{

          span{
            display: block;
          }

          input[type="radio"]{
            display: none;
          }

          label{

            cursor: pointer;
            color:@white;
            padding: 1.5rem 2.5rem !important;
            background: @blue;

            text-align: center;

            &:hover{
              background: darken(@blue, 10%);
            }
          }

          input[type="radio"]:checked+label{
            background: @green;
          }

      }

    .custom-checkbox{

      span{
        font-size: 1.4rem;
        text-transform: uppercase;
        font-weight: 100;
        margin-bottom: .5rem;
        display: block;

      }

      label{


        span{


          height: 52px;
          width: 52px;
          margin-bottom: 0px;
          padding: @medium-padding;
          border: solid 2px @dark;
          .transition(all 0.2s);

          content:'';
          display: block;
          line-height: 1;

          cursor: pointer;
          font-family: FontAwesome;

          &:before{

            content:'';
            color:fade(@dark, 40%);
            .transition(all 0.2s);
            position: relative;
            top:2px;

          }

          &:hover{
            border-color: @green;

            &:before{
              color:fade(@green, 70%);
            }
          }


        }

      }

      input[type="checkbox"]{
        display: none;
        &:checked + label{

          span{
          content: "\f00c";
          background-color: @green;
          border-color: @green;
          color:@white;

            &:before{
              content: "\f00c";
              color:@white;
            }
          }



        }

      }
    }


    p{
      font-size: 18px;
      font-size: 1.8rem;



      a{

        text-decoration: none !important;

        i{
          color:@green;
          padding-right: 1.5rem;
          .transition();
          font-size: 2.4rem;
          line-height: 2;

        }

      }

        .edit-tooltip{
          .transition();
           font-weight: 700;
          font-size: 1.6rem;
          color:@blue;
          padding-left: 1.5rem;
          opacity: 0;
        }




    }
}



ul.subscriptions-list{



  li{
    padding: @medium-padding;
    font-size: 1.8rem;

    border-bottom: solid 1px fade(@black, 10%);

    &:last-child{
      border-bottom: none;
    }


    &.heading{
      color:@dark;



      h1, h2, h3, h4, h5, h6{
        color:@dark;
        font-weight: 100;
        text-transform: uppercase;
      }

    }

    .list-title{
      padding-right: 5px;
      color:@blue;
    }

    .list-value{
      color:@blue;
      font-weight: 400;

      a{
        color:@blue;

        &:hover{
          color:darken(@blue, 20%);
        }
      }
    }

    h2{
      color:@blue;
      font-size: 2.1rem;
    }


  }


}



.subscriptions{

  a, a:visited{
    .transition(all, 0.2s);
    color:fade( @blue, 80% );

    &:hover{
      color:@blue;
    }


  }
}





.report{

  fieldset{
    margin-bottom: 2.5rem;
    legend{
      margin-bottom: 2.5rem;
    }


    input[type="radio"]{
      display: none;
    }





    .custom-checkbox{
      span{
        display: block;
      }

      input[type="radio"]{
        display: none;
      }

      label{

        cursor: pointer;
        color:@white;
        padding: 1.5rem 2.5rem !important;
        background: @blue;

        text-align: center;
      }

      input[type="radio"]:checked+label{
        background: @green;
      }

    }
  }

}



.feedback-container{

  .feedback-entry-container{
    margin:0 @base-padding @base-padding 0;
    padding: 4.0rem;
    border:solid 2px fade(@black, 10%);
    position: relative;
    text-align: left !important;



    &.feedback-failure, &.feedback-error{
      color:@white;
      background: @red;
    }

    &.feedback-success{
      color:@white;
      background: @green;
    }

    .feedback-entry-message{

      font-size: 1.8rem;
      font-weight: 100;
      display: block;
    }

    .feedback-close{
      line-height: 1;
      position: absolute;
      cursor: pointer;
     // padding: 10px;
      height: 20px;
      width: 20px;
      top:10px;
      right:10px;


      font-size: 1.8rem;

      i{
        width: inherit;
        height:inherit;
        text-align: center;
        line-height: 1;
      }

      .transition(all 0.2s);

      &:hover{
        opacity: 0.7;

      }
    }
  }
}

/*.grid {
    .row {
        div.register-help-buttons {
            div.col-1.register-help-button {
                padding-bottom: 5px;
            }
        }
    }
}*/



    div:empty {
      padding: 0 !important;
      display: none;
    }




    //  @media screen and (min-width: 769px){












    button{
      min-width: 120px;
    }



    .icon-title{
      display: inline;
    }

    .menu{
      display: none;
    }



    .right{
      float:right !important;
    }

	.pagination ul{
		display: inline-block;
		margin-left: 0;
		margin-bottom: 0;
		.border-radius(3px);
		.box-shadow(0 1px 2px rgba(0,0,0,.05));
	}
	
	.pagination li{
		display:inline;
	}
	
	.pagination a{
		float: left;
		padding: 0 14px;
		line-height: (@baseLineHeight * 2) - 2;
		text-decoration: none;
		border: 1px solid #ddd;
		border-left-width: 0;
		text-align: center;
	}
	
	.pagination a:hover{
		background-color: @blue;
		color: @white;
	}
	
	.pagination .active a{
		background-color: @green;
		color: @white;
		cursor: default;
	}
	
	.pagination .disabled span,
	.pagination .disabled a,
	.pagination .disabled a:hover{
		color: @grayLight;
		background-color: transparent;
		cursor: default;
	}
	
	.pagination li:first-child a{
		border-left-width: 1px;
		.border-radius(3px 0 0 3px);
	}
	
	.pagination li:last-child a{
		.border-radius(0 3px 3px 0);
	}
	
	.pagination-centered{
		text-align: center;
	}
	
	.pagination-right{
		text-align: right;
	}